services:
  app.listener.entity.project_document_listener:
    class: App\Listener\Entity\ProjectDocumentListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Project\ProjectDocument, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Project\ProjectDocument, event: postUpdate, lazy: true }
    arguments:
      [ '@App\Service\Internal\ProjectDocumentService']
